### Enumeration

# GLib FileTest

#### Declaration

    flags GLib.FileTest

#### Description [src]

A test to perform on a file using g_file_test().

#### Members

`G_FILE_TEST_IS_REGULAR`

  `TRUE` if the file is a regular file (not a directory). Note that this test will also return `TRUE` if the tested file is a symlink to a regular file.

  - Value: `1`
  - Available since: 2.0
`G_FILE_TEST_IS_SYMLINK`

  `TRUE` if the file is a symlink.

  - Value: `2`
  - Available since: 2.0
`G_FILE_TEST_IS_DIR`

  `TRUE` if the file is a directory.

  - Value: `4`
  - Available since: 2.0
`G_FILE_TEST_IS_EXECUTABLE`

  `TRUE` if the file is executable.

  - Value: `8`
  - Available since: 2.0
`G_FILE_TEST_EXISTS`

  `TRUE` if the file exists. It may or may not be a regular file.

  - Value: `16`
  - Available since: 2.0